Ошибка: FTP должен быть включен в настройках на Opencart 2

В Opencart 2 появилась система модификаций OCMOD, на замену старой VQMOD. Теперь с помощью ocmod можно устанавливать модули прямо из админки. Такой способ более удобных, ведь не обязательно подключаться к серверу, чтобы выгрузить новый модуль. Там же можно управлять установленными модулями, отключать или удалять их, обновлять кеш модификаций.

Но как только вы установили движок Opencart 2 и попробуете установить свой первый модуль, то огорчитесь увидев ошибку:

FTP должен быть включен в настройках

Это значит, что для установки модулей нужен FTP-доступ к вашему серверу, но его знать совсем не обязательно.

Решение ошибки FTP при установке модулей в Opencart 2

Два варианта решения:

1. Для того чтобы устанавливать модули без ошибки - вам нужно установить так называемую бесплатную FTP QuickFix модификацию localcopy.ocmod.xml. Она установиться без проблем через тот же установщик дополнений, только после установки не забудьте обновить модификации и затем можете приступать к установке любых модулей на Opencart 2.

2. Еще одно решение данной ошибки: прописать доступы к FTP в админке Система > Настройки > Магазин > вкладка FTP. Но этот способ не очень безопасный, ведь вы будете хранить доступ к вашему серверу в открытой форме.